package com.sw.mes.fb.turnstore.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.fb.turnstore.dto.vo.TurnStoreAcceptVo;
import com.sw.mes.fb.turnstore.entity.TurnStoreAccept;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface TurnStoreAcceptService extends BaseService<TurnStoreAccept> {
    TurnStoreAcceptVo getTurnStoreAcceptById(Long id);

    void affirmById(Long id, int i, Integer userID, String username,String remark);

    void cancel(Long id, int i, String fid);

    void deleteById(Long id, String fid);

    void updateBySid(Long id, int i);

    void deleteBySendId(Long sendId);

    TurnStoreAccept findBySendId(Long id);
}
